# SimpleBLE License

Since January 20th 2025, SimpleBLE is now available under the Business Source License 1.1 (BUSL-1.1).
This means that the project is now free to use for non-commercial purposes, but requires a commercial
license for commercial use. Each version of SimpleBLE will convert to the GNU General Public License
version 3 after four years of its initial release.

**I would like to use SimpleBLE commercially, and don't have a commercial license. What should I do?**

Please [email us](mailto:contact@simpleble.org) or [leave us a message on our website](https://www.simpleble.org/contact?utm_source=github&utm_medium=referral&utm_campaign=simpleble_license)
and we can discuss the specifics of your situation. We have a free commercial license option for small
projects and early-stage companies and very flexible commercial licensing options for larger projects.

**I already have a commercial license. What happens with this latest license change?**

Nothing changes. You can continue using SimpleBLE under the terms of your commercial license.

**What does the Business Source License 1.1 allow and restrict?**

The Business Source License allows non-production use, such as development and testing in isolated
environments. However, any use that could be considered production (including internal tools,
revenue-generating projects, or customer-facing deployments) requires purchasing a commercial license.

After four years of the initial release of a given version of SimpleBLE, the license automatically
converts to the GNU General Public License version 3.

**What do you consider "commercial use"?**

Commercial use in the context of SimpleBLE refers to any usage of the library or its derivatives in
a commercial setting where it contributes, either directly or indirectly, to financial gain. This
includes, but is not limited to, incorporating SimpleBLE into commercial software products, using it
in the development of services offered for a fee, or deploying it within internal tools or software
in a for-profit organization where it adds business value.

**Why do I need to pay for commercial use?**

Commercial licensing enables us to sustainably maintain and enhance SimpleBLE, particularly given
its growing adoption in critical sectors like medical and industrial applications. The revenue
from commercial licenses allows us to provide robust support, maintain compatibility with evolving
underlying APIs, and invest in improvements that benefit all users. This includes expanded
language support, better testing infrastructure, and more comprehensive documentation. While
SimpleBLE remains freely available for non-commercial use, the Business Source License ensures we
can continue providing the level of reliability and support that commercial applications require.

-------------------------------------------------------------------------------

# Business Source License 1.1

License text copyright © 2017 MariaDB Corporation Ab, All Rights Reserved. "Business Source License"
 is a trademark of MariaDB Corporation Ab.

## Terms

The Licensor hereby grants you the right to copy, modify, create derivative works, redistribute, and
make non-production use of the Licensed Work. The Licensor may make an Additional Use Grant, above,
permitting limited production use.

Effective on the Change Date, or the fourth anniversary of the first publicly available distribution
of a specific version of the Licensed Work under this License, whichever comes first, the Licensor
hereby grants you rights under the terms of the Change License, and the rights granted in the
paragraph above terminate.

If your use of the Licensed Work does not comply with the requirements currently in effect as
described in this License, you must purchase a commercial license from the Licensor, its affiliated
entities, or authorized resellers, or you must refrain from using the Licensed Work.

All copies of the original and modified Licensed Work, and derivative works of the Licensed Work, are
subject to this License. This License applies separately for each version of the Licensed Work and
the Change Date may vary for each version of the Licensed Work released by Licensor.

You must conspicuously display this License on each original or modified copy of the Licensed Work.
If you receive the Licensed Work in original or modified form from a third party, the terms and
conditions set forth in this License apply to your use of that work.

Any use of the Licensed Work in violation of this License will automatically terminate your rights
under this License for the current and all other versions of the Licensed Work.

This License does not grant you any right in any trademark or logo of Licensor or its affiliates
(provided that you may use a trademark or logo of Licensor as expressly required by this License).

TO THE EXTENT PERMITTED BY APPLICABLE LAW, THE LICENSED WORK IS PROVIDED ON AN "AS IS" BASIS. LICENSOR
HEREBY DISCLAIMS ALL WARRANTIES AND CONDITIONS, EXPRESS OR IMPLIED, INCLUDING (WITHOUT LIMITATION)
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, AND TITLE.

-------------------------------------------------------------------------------

# SimpleBLE Commercial License Agreement

You can find more information on our commercial licenses [on our website](https://simpleble.org/license/development/?utm_source=github&utm_medium=referral&utm_campaign=simpleble_license)
